CM6 Histoire moderne, licences et technologies - Notes de cours
==========================================

- Histoire moderne = échelle de temps des 20 dernières années = votre vie
- Choix de synthétiser, au mieux, selon une lecture politique, les évolutions des pratiques, ce qu'elles reflètent de l'organisation du monde (c'est ça la politique)
- Objectif : aider à initier une compréhension pour savoir vous orienter et comprendre le monde qui vous entoure(ra) au début de votre carrière
- Pour l'histoire "historique" : moteurs de recherche, Wikipedia.


L'informatique, pour quoi ?
===========================

- L'informatique est une science et une technologie
- C'est le support technologique de la numérisation du monde

Ce qu'on peut en faire :
- L'automatisation du répétitif : moins de travail pénible, mais disparition de certains types d'emplois
- Uber : liberté dans l'organisation du travail, mais peu de sécurité en cas d'imprévu
- Bitcoin : échappement d'une structure de marché, mais création d'une autre structure de marché énergivore
- Facebook : outil de regroupement (printemps arabes), mais outil d'influence (élections)

=> Une technologie, ça amène des opportunités et des risques, ce n'est pas neutre !

On va poser 2 éléments de vocabulaires pour comprendre l'articulation et les forces opposées de l'histoire de l'informatique :
- Technologies asservissantes ou émancipatrices
- Libertaires et libertarien·nes


Les licences et usages
======================

Comprendre l'évolution des usages

Avant le cloud
--------------

- Un OS sur son ordinateur
- Des logiciels sur son ordinateur
- Des données sur son ordinateur

L'enjeu : maîtriser ce qu'il se passe sur son poste VS vendre du logiciel
- Des licences *propriétaires*, vente du logiciel sous forme binaire
- Des licences *ouvertes*, logiciel diffusé librement

Et déjà le début de la notion de *captivité* avec les formats de documents :
- Un format fermé permet d'enfermer les utilisateurs avec un logiciel
- Un format ouvert permet de laisser libre le choix du logiciel (et l'émergence d'autres)

=> On arrive sur un vocabulaire captif VS libre, plus représentatif aujourd'hui que propriétaire VS ouvert.
- La captivité véhicule une dépendance, une part d'asservissement
- La liberté véhicule une volonté d'émancipation des utilisateurs

Avec le cloud
-------------

Quelques dates :
- AWS : 2006
- IPhone / Android : 2007
- Google Drive : 2012

L'évolution du cloud :
- Un OS sur son ordinateur, coquille assez vide
- Un navigateur sur son ordinateur (qui reprend beaucoup de ce que fait un OS...)
- Des logiciels hébergés dans le cloud, ie, sur le serveur de quelqu'un d'autre
- Des données sur ces serveurs tiers

L'enjeu : maîtriser la collecte et le contrôle de nos données VS rentabiliser un service (abonnement, pub)
- Les termes captif/libre reflètent l'état de nos données
- La licence d'un logiciel qui s'exécute ailleurs ne nous apporte plus beaucoup de garantie...
  - Est-ce vraiment le logiciel non modifié ?
  - Une observation a-t-elle lieu avant/après sur le chemin ?
  - On ne contrôle pas l'évolution des versions ou des fonctionnalités

=> Le problème s'est déplacé, du logiciel libre dans un monde cloud ne répond plus à l'opposition de départ :
- Avec un Android qui contient beaucoup de libre, sommes-nous dans une posture de dépendance ou d'émancipation ?
- Et si Uber utilise uniquement du logiciel libre ?


Fermé, Ouvert, Libre ?
----------------------

Il faut distinguer le modèle de développement et l'enjeu politique.

Deux modèles de développement :
- Fermé, préservation des secrets de fabrication, développeurs internes à rémunérer
- Ouvert, pas de secrets, mutualisation des coûts avec d'autres organisations

Différents enjeux :
- Vendre du logiciel, du service, de l'hébergement, de la pub... => Intérêt lucratif
- Diffuser du pouvoir de faire quelque chose => Intérêt collectif / non lucratif

Choisir une licence est un acte politique :
- le modèle de développement : ouvert ou fermé ?
- les implications de réutilisation : peut-on faire de l'argent avec le travail donné ? Licence contaminante ou pas (GPL vs Apache/BSD/...). Si contaminante, seulement localement ou aussi par les interactions réseau (GPL vs AGPL)
- les restrictions d'usage : peut-on utiliser mon logiciel pour faire n'importe quoi ? Licences à réciprocité, Coopcycle (2016). Plus libertaires que les autres si on réfléchit par projet politique sous-jacent, moins libertariennes si on réfléchit restriction des usages.

Concrètement, aujourd'hui :
- L'open-source a plutôt gagné comme modèle de développement. Mais il y a toujours plus d'argent dans l'éco-système numérique donc ce n'est pas très libre... On est sûrement moins libres avec le cloud et nos smartphones aujourd'hui qu'on ne l'était hier avec moins de LL et des PC...
- Les mouvements du libre, de l'ouvert et du captif ne peuvent être compris que si l'on entend qu'ils sont notamment politiques (en bonne proportion)
