BUT1 Info - R1.03 - Introduction à l'architecture des ordinateurs
=================================================================

_François Lesueur ([francois.lesueur@univ-ubs.fr](mailto:francois.lesueur@univ-ubs.fr))_

L’objectif de cette ressource est de découvrir la structure et les composants d'un ordinateur. Cette ressource permet de découvrir les différents composants matériels et logiciels internes qui constituent un ordinateur, de manière à appréhender le fonctionnement, mais aussi les limites de leur utilisation.

Savoirs de référence étudiés :
* Architecture générale d'un ordinateur, histoire et évolution de l'informatique
* Codage (codage des informations de base : nombres, caractères)
* Arithmétique des traitements associés
* Étude d’un ordinateur personnel (composants...)
* Évolution des technologies et des systèmes

La matière se déroule du 1/9 au 14/10 et est composée de :
* 6 séances de cours (CM) de 45 minutes (en promo entière)
* 6 séances de travaux dirigés (TD) de 1h30 (en groupe TD)
* 3 séances de travaux pratiques (TP) de 1h30 (en groupe TP, 1 semaine sur 2)

Sur ce dépôt, vous trouverez les notes de cours ainsi que les sujets des TD/TP.

Le programme prévisionnel est le suivant :
* CM :
  - [CM1](cm1-caracteres.md) : Codage des caractères
  - [CM2](cm2-entiers.md) : Codage des entiers
  - [CM3](cm3-reels.md) : Codage des réels
  - [CM4](cm4-archi.md) : Architecture d'un ordinateur
  - [CM5](cm5-calcul.md) : Calcul booléen
  - [CM6](cm6-histoire.md) : Histoire moderne, licences et technologies
* TD :
  - [TD1](td1-caracteres.md) : Codage des caractères
  - [TD2](td2-entiers.md) : Codage des entiers
  - [TD3](td3-reels.md) : Codage des réels
  - [TD4](td4-logique.md) : Logique booléenne
  - [TD5](td5-additionneur.md) : Additionneur
  - TD6 : Révisions
* TP :
  - [TP1](tp1-encodage.md) : Encodage binaire vers texte 1/2
  - [TP2](tp1-encodage-p2.md) : Encodage binaire vers texte 2/2
  - [TP3](tp3-demontage.md) : Dismantle Party

L'évaluation sera composée d'une note de contrôle continu (1/3, à partir des comptes-rendus demandés) et d'une note d'examen final (2/3).


Annexe -- Périmètre de la matière
=================================

Ce que vous devez savoir faire :
- les principes des encodages/conversions vus en TD/TP (et savoir les appliquer)
- les manipulations de calcul booléen, les tables de vérité des fonctions de base NON, ET, OU, NON-ET, NON-OU, XOR ainsi que leur représentation en porte logique (pas en transistors ! pas non plus les tables de Karnaugh)
- les composants d'un ordinateur

Ce que vous ne devez pas connaître par cœur (qui serait fourni si nécessaire) mais savoir exploiter :
- les tables de codage (ASCII, ISO-8859-15, Unicode, Base64, ...)
- le nombre de bits pour signe, mantisse et exposant et les offsets d'exposant selon les différentes tailles de flottants
- les décompositions en transistors des portes logiques

Nouvelle matière, nouvel enseignant sur cette matière : il n'y a pas d'anciens contrôles, ceux de l'an dernier ne sont pas représentatifs du programme vu cette année et de ce que vous devrez faire.

Le contrôle sera sans calculatrice et sans documents.
